/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/
package com.togethersoft.modules.patterns.JAVA.CLASS.HP_E_Speak.Service_Provider.ui;

import com.togethersoft.modules.patterns.JAVA.CLASS.HP_E_Speak.Service_Provider.ClientProperty;
import com.togethersoft.modules.patterns.JAVA.CLASS.HP_E_Speak.Service_Provider.ClientConstant;

import com.togethersoft.openapi.util.propertyMap.PropertyMap;

public class AllPages extends Page {

    private final static String GENERAL     = "General";
    private final static String CONSTRAINTS = "Service constraints values";
    private final static String PROPERTIES  = "HP_E_Speak Service Provider Class Properties";

    public AllPages(PropertyMap properties) {
            super(properties, WIZARD);
    }

    public void init() {

            setUIPropertyValue(VIEW_UI, CARD_NODEUI);
            setUIPropertyValue(ITEM + PROPERTIES + VIEW_UI, STACK_NODEUI);

            /*
             * Add pages.
             */
            //new GeneralPage(getProperties(),    WIZARD + ITEM + PROPERTIES);
            new GeneralPage(getProperties(),    WIZARD + ITEM + PROPERTIES + ITEM + TOP);
            new ConnectionPage(getProperties(), WIZARD + ITEM + PROPERTIES + ITEM + BOTTOM);
            new ConstraintsPage(getProperties(), WIZARD + ITEM + CONSTRAINTS, 2);
    }
}


